package com.xhkjedu.sapi.mapper.system;

import com.xhkjedu.sapi.vo.gradeclass.ClassVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description：处理学年升级问题
 * @Author: WN
 * @Date: 2024/8/28 15:39:22
 **/
@Repository
public interface SchoolUpMapper {

    //获取年份年级对应的班级
    List<ClassVo> listClassByYearAndGrade(@Param("year")Integer year, @Param("gradeid")Integer gradeid,@Param("schoolid")Integer schoolid);

    //获取班级人数
    Integer getClassStunum(@Param("classid")Integer classid);

    //获取班级学生id
    List<Integer> listStudentidByClassid(@Param("classid")Integer classid);

    //获取班级对应的小组id
    Integer getGroupidByClassid(@Param("classid")Integer classid);

    //获取小组人数
    Integer getGroupStunum(@Param("groupid")Integer groupid);
}
